<?php

class m131216_072935_diagnostic extends MyDbMigration
{
	public function up()
	{
		$this->execute(
		"DROP TABLE IF EXISTS `diagnostic`;
		CREATE TABLE  `eventserverdb`.`diagnostic` (
		  `id` bigint(20) NOT NULL auto_increment,
		  `uuid` char(250) default NULL,
		  `type` char(250) default NULL,
		  `sub_type` char(250) default NULL,
		  `description` char(250) default NULL,
		  `full_desciption` text,
		  `status` char(250) default NULL,
		  `action` text,
		  `comment` text,
		  `taken_in_charge_by` bigint(20) default NULL,
		  `taken_in_charge_time` datetime default NULL,
		  `managed_by` bigint(20) default NULL,
		  `managed_time` datetime default NULL,
		  `gate` bigint(20) default NULL,
		  `epoch` datetime default NULL,
		  `note` text,
		  `extra_data` char(250) default NULL,
		  `event_time` datetime default NULL,
		  PRIMARY KEY  (`id`)
		);"		
		);
	}
	
	public function down()
	{
		echo "m131216_072935_diagnostic does not support migration down.\n";
		return false;
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}